openapi: 3.0.0
info:
    version: "1.50.0.1"
    title: API REST Servicios CGES
    description: >
        <h3>Operaciones Internas</h3>
        <p>Este apartado de la definición recoge las operaciones internas de comunicación de la aplicaión:</p>
        <ul>
            <li>Consulta y operaciones de acceso al sistema</li>
            <li>Consulta y operaciones con el SGI</li>
            <li>Integración con AGESCON</li>
        </ul>
        <p>Este apartado de la definición recoge las operaciones internas de comunicación de la aplicaión:</p>
        Incluye métodos para la generación de los tokens que se usan para operar con la API.
        </p>
        <br/><br/><div id="load_options"></div>
servers:
    - url: http://servicioscges.pre.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Preproducción (acceso por intranet)
    - url: 'https://ws001.sspa.juntadeandalucia.es/servicioscges/api/v1/sistemasExternos'
      description: Servidor de Producción (acceso por internet)
    - url: http://servicioscges.sas.junta-andalucia.es/servicioscges/api/v1/sistemasExternos
      description: Servidor de Producción (acceso por intranet)
paths:

    #Consulta y operaciones de acceso al sistema
    
    /accesos/token/login:
        $ref: './paths_accesos_token_login.yaml'
    /accesos/token/api:
        $ref: './paths_accesos_token_api.yaml'
    /accesos/sesiones:
        $ref: './paths_accesos_sesiones.yaml'
    /accesos/sesiones/temporal:
        $ref: './paths_accesos_sesiones_temporal.yaml'
    
    #Consulta y operaciones con el SGI
    /sgi/users:
        $ref: './paths_sgi_users.yaml'
    /sgi/users/{usuarioDmsas}:
        $ref: './paths_sgi_users_dmsas.yaml'
    
    
    #Integración con AGESCON
    
    /agescon/{dni}/credenciales:
        $ref: './paths_agescon_id_credenciales.yaml'